require 'docker/porcelain'
require 'docker/porcelain/container'
require 'docker/porcelain/image'

require 'docker'

module Docker
  class Container
    include Docker::Porcelain::Container
    extend Docker::Porcelain::Container::ClassMethods
  end

  class Image
    prepend Docker::Porcelain::Image
    extend Docker::Porcelain::Image::ClassMethods
  end
end

