require 'docker/porcelain'
require 'docker/porcelain/container'

require 'docker'

module Docker
  module Porcelain
    refine Docker::Container do
      include Docker::Porcelain::Container
    end

    refine Docker::Container.singleton_class do
      include Docker::Porcelain::Container::ClassMethods
    end

    refine Docker::Image do
      include Docker::Porcelain::Image
    end

    refine Docker::Image.singleton_class do
      include Docker::Porcelain::Image::ClassMethods
    end
  end
end
